<div class="container">
    <mat-toolbar>
        <span>SISTEMA DE BIBLIOTECA-</span><div style="font-size: 15px">CREAR USUARIOS</div> 
        <div class="example-spacer"></div>
    </mat-toolbar>
    <mat-card>
        <mat-card-content>
            <form [formGroup]="form" (ngSubmit)="agregarusuario()">
                <mat-grid-list cols="4" rowHeight="70px">
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Nombre</mat-label>
                            <input matInput formControlName="nombre">
                          </mat-form-field>
                    </mat-grid-tile>  
                    <mat-grid-tile [colspan]="3" [rowspan]="5">
                        <img src="../../../assets/Iconos/profesor.png" width="250" height="250">
                    </mat-grid-tile>  
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Apellido</mat-label>
                            <input matInput formControlName="apellido">
                          </mat-form-field>
                    </mat-grid-tile>  
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="example-full-width">
                            <mat-label>Telefono</mat-label>
                            <span matPrefix>+593 &nbsp;</span>
                            <input type="tel" matInput formControlName="telefono" placeholder="981307730">
                            <mat-icon matSuffix>mode_edit</mat-icon>
                        </mat-form-field>
                    </mat-grid-tile>  
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Correo</mat-label>
                            <input matInput formControlName="correo">
                          </mat-form-field>
                    </mat-grid-tile>  
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field appearance="fill">
                            <mat-label>Tipo de usuario</mat-label>
                            <mat-select formControlName="rol">
                              <mat-option *ngFor="let item of rol" [value]="item">
                                {{item}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                    </mat-grid-tile>  
                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <button mat-raised-button style="margin-right: 20px;">Volver</button>
                        <button type="submit" [disabled]="form.invalid" mat-raised-button color="primary">Aceptar</button>
                    </mat-grid-tile>   
                </mat-grid-list>


                <br>
                <br>
            </form>
        </mat-card-content>
    </mat-card>
    
</div>